
Redmine - Defect #8148

Unable to insert iframe

2011-04-14 13:56 - Alex Pogodin

Status: Closed Start date: 2011-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

If URL you try to display using {{iframe(url, width, height)}} macros contains & (ampersand), then it get trimmed after "&" and #38

appended to the resulting URL.

Specifying & in URL as &amp; doesn't solve the issue, as ; is not included in RegExp, and URL trimmed just after first &amp match.

Adding ; to RegEx seems to solve the issue.

Also, comma (,) is allowed symbol in URLs and used on google maps extensively. Would be nice to include it, too. But this may harm

macros parser.

History

#1 - 2011-04-14 15:02 - Etienne Massip

{{iframe}} is not a core Redmine macro, guess you're using a plugin ?

#2 - 2011-04-17 17:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Indeed, there's no iframe macro in the core.
